package com.bwie.expressage.controller;

import com.bwie.common.domain.Comment;
import com.bwie.common.result.Result;
import com.bwie.expressage.service.CommentService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/comment")
public class CommentController {

    @Resource
    private CommentService commentService;

    @PostMapping("/list")
    public Result<List<Comment>> commentList(){
        return Result.success(commentService.commentList());
    }
}
